@rem
@rem Copyright 2015 the original author or authors.
@rem
@rem Licensed under the Apache License, Version 2.0 (the "License");
@rem you may not use this file except in compliance with the License.
@rem You may obtain a copy of the License at
@rem
@rem      https://www.apache.org/licenses/LICENSE-2.0
@rem
@rem Unless required by applicable law or agreed to in writing, software
@rem distributed under the License is distributed on an "AS IS" BASIS,
@rem WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
@rem See the License for the specific language governing permissions and
@rem limitations under the License.
@rem

@if "%DEBUG%" == "" @echo off
@rem ##########################################################################
@rem
@rem  rigger startup script for Windows
@rem
@rem ##########################################################################

@rem Set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" setlocal

set DIRNAME=%~dp0
if "%DIRNAME%" == "" set DIRNAME=.
set APP_BASE_NAME=%~n0
set APP_HOME=%DIRNAME%..

@rem Resolve any "." and ".." in APP_HOME to make it shorter.
for %%i in ("%APP_HOME%") do set APP_HOME=%%~fi

@rem Add default JVM options here. You can also use JAVA_OPTS and RIGGER_OPTS to pass JVM options to this script.
set DEFAULT_JVM_OPTS="-ea" "-Xmx8g" "-Xms512m" "-XX:MaxDirectMemorySize=1024m"

@rem Find java.exe
if defined JAVA_HOME goto findJavaFromJavaHome

set JAVA_EXE=java.exe
%JAVA_EXE% -version >NUL 2>&1
if "%ERRORLEVEL%" == "0" goto execute

echo.
echo ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH.
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:findJavaFromJavaHome
set JAVA_HOME=%JAVA_HOME:"=%
set JAVA_EXE=%JAVA_HOME%/bin/java.exe

if exist "%JAVA_EXE%" goto execute

echo.
echo ERROR: JAVA_HOME is set to an invalid directory: %JAVA_HOME%
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:execute
@rem Setup the command line

set CLASSPATH=%APP_HOME%\lib\rigger-1.0.0-SNAPSHOT.jar;%APP_HOME%\lib\tools-common-1.0.0-SNAPSHOT.jar;%APP_HOME%\lib\lemur-proto-1.12.1-SNAPSHOT.jar;%APP_HOME%\lib\crig-1.0.0-SNAPSHOT.jar;%APP_HOME%\lib\sio2-mblock-1.0.0-SNAPSHOT.jar;%APP_HOME%\lib\bpos-1.0.0-SNAPSHOT.jar;%APP_HOME%\lib\sio2-mphys-1.0.0-SNAPSHOT.jar;%APP_HOME%\lib\mblock-physb-1.0.0-SNAPSHOT.jar;%APP_HOME%\lib\mworld-1.0.0-SNAPSHOT.jar;%APP_HOME%\lib\sio2-1.6.1-SNAPSHOT.jar;%APP_HOME%\lib\jmec-1.3.1-SNAPSHOT.jar;%APP_HOME%\lib\mphys-1.0.0-SNAPSHOT.jar;%APP_HOME%\lib\mblock-1.0.0-SNAPSHOT.jar;%APP_HOME%\lib\zay-es-net-1.5.0.jar;%APP_HOME%\lib\zay-es-1.4.1-SNAPSHOT.jar;%APP_HOME%\lib\sim-fx-1.0.1-SNAPSHOT.jar;%APP_HOME%\lib\lemur-props-1.2.0.jar;%APP_HOME%\lib\lemur-1.16.1-SNAPSHOT.jar;%APP_HOME%\lib\guava-19.0.jar;%APP_HOME%\lib\sim-ethereal-1.6.1-SNAPSHOT.jar;%APP_HOME%\lib\sim-math-1.5.1-SNAPSHOT.jar;%APP_HOME%\lib\log4j-slf4j-impl-2.15.0.jar;%APP_HOME%\lib\jul-to-slf4j-1.7.13.jar;%APP_HOME%\lib\slf4j-api-1.7.32.jar;%APP_HOME%\lib\jme3-lwjgl-3.6.0-SNAPSHOT.jar;%APP_HOME%\lib\jme3-desktop-3.6.0-SNAPSHOT.jar;%APP_HOME%\lib\jme3-effects-3.6.0-SNAPSHOT.jar;%APP_HOME%\lib\jme3-plugins-3.6.0-SNAPSHOT.jar;%APP_HOME%\lib\jme3-networking-3.6.0-SNAPSHOT.jar;%APP_HOME%\lib\jme3-core-3.6.0-SNAPSHOT.jar;%APP_HOME%\lib\groovy-all-2.4.11.jar;%APP_HOME%\lib\gson-2.8.9.jar;%APP_HOME%\lib\log4j-core-2.15.0.jar;%APP_HOME%\lib\log4j-api-2.15.0.jar;%APP_HOME%\lib\lwjgl-2.9.3.jar;%APP_HOME%\lib\jinput-2.0.9.jar;%APP_HOME%\lib\jinput-2.0.9-natives-all.jar;%APP_HOME%\lib\jansi-1.11.jar;%APP_HOME%\lib\lwjgl-platform-2.9.3-natives-windows.jar;%APP_HOME%\lib\lwjgl-platform-2.9.3-natives-linux.jar;%APP_HOME%\lib\lwjgl-platform-2.9.3-natives-osx.jar


@rem Execute rigger
"%JAVA_EXE%" %DEFAULT_JVM_OPTS% %JAVA_OPTS% %RIGGER_OPTS%  -classpath "%CLASSPATH%" com.simsilica.tool.Rigger %*

:end
@rem End local scope for the variables with windows NT shell
if "%ERRORLEVEL%"=="0" goto mainEnd

:fail
rem Set variable RIGGER_EXIT_CONSOLE if you need the _script_ return code instead of
rem the _cmd.exe /c_ return code!
if  not "" == "%RIGGER_EXIT_CONSOLE%" exit 1
exit /b 1

:mainEnd
if "%OS%"=="Windows_NT" endlocal

:omega
